LockDown Browser System Requirements

LockDown Browser is supported only for Microsoft® Windows® and macOS™/OS X® with supported Web browsers installed.

Assignments requiring LockDown Browser cannot be completed on Linux® or iOS devices because LockDown Browser cannot be installed on those devices.

Microsoft Windows

Internet Explorer® / Microsoft Edge, version 11 or later must be installed. It does not need to be the default browser, and you do not need to use this browser to open WebAssign.

macOS/OS X

Apple® Safari®, version 8 or later must be installed. It does not need to be the default browser, and you do not need to use this browser to open WebAssign.